Eclipse 配置 Red5开发环境

需要用到的软件:
RED5 0.6 RC2 : http://osflash.org/red5
Eclipse 3.2 : http://www.eclipse.org
ant: http://ant.apache.org/
JDK: http://java.sun.com/javase/downloads/index.jsp
如果想直接通过SVN获得最新的RED5,还需要安装Eclipse的SVN插件:http://subclipse.tigris.org/

这边介绍Eclipse的SVN Plugin,叫做Subclipse,官方網站在:http://subclipse.tigris.org/他也有提供update site http://subclipse.tigris.org/update。这边介绍Eclipse的SVNPlugin,叫做Subclipse,官方网站在:http://subclipse.tigris.org/他也有提供updatesitehttp://subclipse.tigris.org/update。 在Eclipse選單中選 Help->Software Updates->Find and Install-> Search for new features to install ->New Remote Site。在Eclipse选单中选Help->SoftwareUpdates->FindandInstall->Searchfornewfeaturestoinstall->NewRemoteSite。 URL 就輸入剛剛的http://subclipse.tigris.org/update。URL就输入刚刚的http://subclipse.tigris.org/update。 安裝起來就好了。安装起来就好了

下载完成后,需要为Eclipse指定RED5的Build文件,在左边的列表顶端文件上点右键,然后选择External tools(工具栏绿色的PLAY图标,有红色锁的那个。。),打开后选左侧择蚂蚁图标(ANT),右键->Creat,输入文件名server_all,然后点第一行的浏览按钮,在弹出的窗口中选择build.xml,确定。然后选择target标签,在下面的选择中把all勾选,并选中该行,然后Apply.再操作一次,新建server_server,同样选择build.xml,然后在target中把all的勾选取消,选择server,同样选中该行,点Apply.

这个时候运行server_all,我在这里出现了错误(详细见上一篇日志),解决办法为修改build.properti中的JAVA版本号与本机实际JDK版本号一致。另外也有人说报其他错误,要修改BUILD.XML,但我没有遇到这个问题(参见http://hi.baidu.com/flash%5Fzb/blog/item/412384230961d444ac34ded5.html)。

当你看到BUILD SUCCESS的时候,恭喜你,编译成功咯。

 

Advertisements

发表评论

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / 更改 )

Twitter picture

You are commenting using your Twitter account. Log Out / 更改 )

Facebook photo

You are commenting using your Facebook account. Log Out / 更改 )

Google+ photo

You are commenting using your Google+ account. Log Out / 更改 )

Connecting to %s

%d 博主赞过: